org.eclipse.mat.ui.internal.acquire

## Class ProviderArgumentsWizardPage

- java.lang.Object
- - org.eclipse.jface.dialogs.DialogPage
  - - org.eclipse.jface.wizard.WizardPage
    - - org.eclipse.mat.ui.internal.acquire.ProviderArgumentsWizardPage

All Implemented Interfaces:
  IDialogPage, IMessageProvider, IWizardPage, ProviderArgumentsTable.ITableListener

    public class ProviderArgumentsWizardPage
    extends WizardPage
    implements ProviderArgumentsTable.ITableListener

Handles configuring arguments to generate a dump from a single VM.

### Field Summary

### Fields inherited from interface org.eclipse.jface.dialogs.IMessageProvider

`ERROR, INFORMATION, NONE, WARNING`

### Constructor Summary

Constructors
Constructor and Description
`ProviderArgumentsWizardPage(AcquireDialog acquireDialog)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `createControl(Composite parent)`
`AnnotatedObjectArgumentsSet` `getArgumentSet()`
`ProviderArgumentsTable` `getTable()`
`boolean` `isPageComplete()`
`void` `onError(String message)`
`void` `onFocus(String message)`
`void` `onInputChanged()`
`void` `onValueChanged()`
`void` `performHelp()`
`void` `processSelected(AnnotatedObjectArgumentsSet argumentSet)`
`void` `relocateHelp(boolean create)`
`void` `setVisible(boolean f)`

### Methods inherited from class org.eclipse.jface.wizard.WizardPage

`canFlipToNextPage, getImage, getName, getNextPage, getPreviousPage, getShell, getWizard, setDescription, setErrorMessage, setImageDescriptor, setMessage, setPageComplete, setPreviousPage, setTitle, setWizard, toString`

### Methods inherited from class org.eclipse.jface.dialogs.DialogPage

`dispose, getControl, getDescription, getErrorMessage, getMessage, getMessageType, getTitle, setMessage`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.jface.dialogs.IDialogPage

`dispose, getControl, getDescription, getErrorMessage, getMessage, getTitle`

### Constructor Detail

#### ProviderArgumentsWizardPage

    public ProviderArgumentsWizardPage(AcquireDialog acquireDialog)

### Method Detail

#### createControl

    public void createControl(Composite parent)

Specified by:
  `createControl` in interface `IDialogPage`

#### getTable

    public ProviderArgumentsTable getTable()

#### getArgumentSet

    public AnnotatedObjectArgumentsSet getArgumentSet()

#### onInputChanged

    public void onInputChanged()

Specified by:
  `onInputChanged` in interface `ProviderArgumentsTable.ITableListener`

#### onValueChanged

    public void onValueChanged()

Specified by:
  `onValueChanged` in interface `ProviderArgumentsTable.ITableListener`

#### onError

    public void onError(String message)

Specified by:
  `onError` in interface `ProviderArgumentsTable.ITableListener`

#### onFocus

    public void onFocus(String message)

Specified by:
  `onFocus` in interface `ProviderArgumentsTable.ITableListener`

#### isPageComplete

    public boolean isPageComplete()

Specified by:
  `isPageComplete` in interface `IWizardPage`
Overrides:
  `isPageComplete` in class `WizardPage`

#### relocateHelp

    public void relocateHelp(boolean create)

#### processSelected

    public void processSelected(AnnotatedObjectArgumentsSet argumentSet)

#### setVisible

    public void setVisible(boolean f)

Specified by:
  `setVisible` in interface `IDialogPage`
Overrides:
  `setVisible` in class `DialogPage`

#### performHelp

    public void performHelp()

Specified by:
  `performHelp` in interface `IDialogPage`
Overrides:
  `performHelp` in class `DialogPage`